PHP Handbuch
Zurück |  | Weiter

# DOMElement->setAttribute()

(no version information, might be only in CVS)

DOMElement->setAttribute() -- Adds new attribute

## Beschreibung

class DOMElement {
bool setAttribute ( string name, string value )
}

Sets an attribute with name name to the given value. If the attribute does not exist, it will be created.

## Parameter Liste

name

  The name of the attribute.

value

  The value of the attribute.

## Rückgabewerte

Gibt bei Erfolg `TRUE` zurück, im Fehlerfall `FALSE`.

## Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

## Beispiele

Beispiel 1. Setting an attribute

`<?php $doc = new DOMDocument("1.0"); $node = $doc->createElement("para"); $newnode = $doc->appendChild($node); $newnode->setAttribute("align", "left"); ?>`

## Siehe auch

DOMElement->hasAttribute()
DOMElement->getAttribute()
DOMElement->removeAttribute()

Zurück | Zum Anfang | Weiter
DOMElement->removeAttributeNS() | Nach oben | DOMElement->setAttributeNode()